Skip to content
Alchemy Logo

getNFTSales

GET
/v2/{apiKey}/getNFTSales

Gets NFT sales that have happened through on-chain marketplaces

Path Parameters

stringrequireddefaults to docs-demo

For higher throughput, create your own API key

Query Parameters

stringdefaults to 0

String - The block number to start fetching NFT sales data from. Allowed values are decimal and hex integers, and "latest". Defaults to "0".

stringdefaults to latest

String - The block number to start fetching NFT sales data from. Allowed values are decimal and hex integers, and "latest". Defaults to "latest".

enumdefaults to asc

Enum - Whether to return the results ascending from startBlock or descending from startBlock. Defaults to descending (false).

Defaults to "asc".

Allowed values:

enumoptional

Enum - The name of the NFT marketplace to filter sales by. The endpoint currently supports "seaport", "wyvern", "looksrare", "x2y2", "blur", and "cryptopunks". Defaults to returning sales from all supported marketplaces.

Allowed values:

stringoptional

String - The contract address of a NFT collection to filter sales by. Defaults to returning all NFT contracts.

stringoptionaldefaults to 44

String - The token ID of an NFT within the collection specified by contractAddress to filter sales by. Defaults to returning all token IDs.

string

String - The address of the NFT buyer to filter sales by. Defaults to returning sales involving any buyer.

string

String - The address of the NFT seller to filter sales by. Defaults to returning sales involving any seller.

enumoptional

Enum - Filter by whether the buyer or seller was the taker in the NFT trade. Allowed filter values are "BUYER" and "SELLER". Defaults to returning both buyer and seller taker trades.

Allowed values:

integer

Integer - The maximum number of NFT sales to return. Maximum and default values are 1000.

string

String - key for pagination. If more results are available, a pageKey will be returned in the response. Pass back the pageKey as a param to fetch the next page of results.

Responses

200

Was this page helpful?